package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/model/preferenceCC"
	"gitlab.smartblocklab.com/smartcontracts/systempreferenceCC/mngr"
)

func AddPreference(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	preference, err := preferenceCC.Unmarshal(userParameter.Param)
	if err != nil {
		return nil, err
	}

	return mngr.GetSystemPreferenceManager(manager).AddPreference(preference)
}
